close all
stop=9;

load Risk_sim_results_1Msims_SS1.mat
figure(1)
count=1;
subplot(4,3,1)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
ylabel('MAD')
title('Spec I, \sigma_{UV}=0.1')
legend('Bound','2SLS','Fuller','RB','RB c=0.5');
axis tight

count=2;
subplot(4,3,2)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
%ylabel('MAD');
title('Spec I, \sigma_{UV}=0.5')
axis tight

count=3;
subplot(4,3,3)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
%xlabel('E[F]');
%ylabel('MAD');
title('Spec I, \sigma_{UV}=0.95')
axis tight

load Risk_sim_results_1Msims_SS2.mat
figure(1)
count=1;
subplot(4,3,4)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
ylabel('MAD')
title('Spec II, \sigma_{UV}=0.1')
axis tight

count=2;
subplot(4,3,5)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
%ylabel('MAD');
title('Spec II, \sigma_{UV}=0.5')
axis tight

count=3;
subplot(4,3,6)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
%xlabel('E[F]');
%ylabel('MAD');
title('Spec II, \sigma_{UV}=0.95')
axis tight

load Risk_sim_results_1Msims_SS3.mat
figure(1)
count=1;
subplot(4,3,7)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
ylabel('MAD')
title('Spec III, \sigma_{UV}=0.1')
axis tight

count=2;
subplot(4,3,8)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
%ylabel('MAD');
title('Spec III, \sigma_{UV}=0.5')
axis tight

count=3;
subplot(4,3,9)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
%xlabel('E[F]');
%ylabel('MAD');
title('Spec III, \sigma_{UV}=0.95')
axis tight


load Risk_sim_results_100Ksims_SS4.mat
figure(1)
count=1;
subplot(4,3,10)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
ylabel('MAD')
xlabel('E[F]');
title('Spec IV, \sigma_{UV}=0.1')
axis tight

count=2;
subplot(4,3,11)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
%ylabel('MAD');
xlabel('E[F]');
title('Spec IV, \sigma_{UV}=0.5')
axis tight

count=3;
subplot(4,3,12)
plot(F_stat_mean(1:stop),MAD_Oracle(count,1:stop)','-ob','Linewidth',2);
hold on
plot(F_stat_mean(1:stop),MAD_2SLS(count,1:stop),'Color',[0 .8 0],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_FULL(count,1:stop),'--r','Linewidth',2);
plot(F_stat_mean(1:stop),MAD(count,1:stop)','-.','Color',[0 .7 .7],'Linewidth',2);
plot(F_stat_mean(1:stop),MAD_c(count,1:stop,2)',':k','Linewidth',2);
hold off
xlabel('E[F]');
%ylabel('MAD');
title('Spec IV, \sigma_{UV}=0.95')
axis tight