close all

%Set points to start and stop for mean plots
start=8;
stop=35;

figure(3)
load Univariate_mean_rho1
Fuller_mean_rho1=mean_beta_hat_Full;
U_mean_rho1=mean_beta_hat;
load Univariate_mean_rho5
Fuller_mean_rho5=mean_beta_hat_Full;
U_mean_rho5=mean_beta_hat;
load Univariate_mean_rho95
Fuller_mean_rho95=mean_beta_hat_Full;
U_mean_rho95=mean_beta_hat;
subplot(2,2,1)
plot(F_mean(start:stop),mean_beta_hat(start:stop),'-b','Linewidth',2);
hold on
plot(F_mean(start:stop),Fuller_mean_rho1(start:stop),'-.*r','Linewidth',2);
plot(F_mean(start:stop),Fuller_mean_rho5(start:stop),'-.or','Linewidth',2);
plot(F_mean(start:stop),Fuller_mean_rho95(start:stop),'-.dr','Linewidth',2);
hold off
legend('Unbiased','Fuller, \sigma_{12}=0.1','Fuller, \sigma_{12}=0.5','Fuller, \sigma_{12}=0.95','Location','NE');
xlabel('E[F]');
ylabel('Mean Bias')
title('Bias Comparison')
axis tight

figure(3)
load Univariate_performance_rho1
subplot(2,2,2)
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat(1:stop,2)),'-b','Linewidth',2);
hold on
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_IV(1:stop,2)),'--k','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_Full(1:stop,2)),'-.r','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat(1:stop,1)),'-vb','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat(1:stop,3)),'-^b','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_IV(1:stop,1)),'--vk','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_IV(1:stop,3)),'--^k','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_Full(1:stop,1)),'-.vr','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_Full(1:stop,3)),'-.^r','Linewidth',2);
legend('Unbiased','IV','Fuller','Location','NE');
hold off
xlabel('E[F]');
ylabel('Log Absolute Deviation')
title('Quantiles of Log Absolute Deviation, \sigma_{12}=0.1')
axis tight

figure(3)
load Univariate_performance_rho5
subplot(2,2,3)
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat(1:stop,2)),'-b','Linewidth',2);
hold on
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_IV(1:stop,2)),'--k','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_Full(1:stop,2)),'-.r','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat(1:stop,1)),'-vb','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat(1:stop,3)),'-^b','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_IV(1:stop,1)),'--vk','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_IV(1:stop,3)),'--^k','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_Full(1:stop,1)),'-.vr','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_Full(1:stop,3)),'-.^r','Linewidth',2);
legend('Unbiased','IV','Fuller','Location','NE');
hold off
xlabel('E[F]');
ylabel('Log Absolute Deviation')
title('Quantiles of Log Absolute Deviation, \sigma_{12}=0.5')
axis tight

figure(3)
load Univariate_performance_rho95
subplot(2,2,4)
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat(1:stop,2)),'-b','Linewidth',2);
hold on
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_IV(1:stop,2)),'--k','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_Full(1:stop,2)),'-.r','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat(1:stop,1)),'-vb','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat(1:stop,3)),'-^b','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_IV(1:stop,1)),'--vk','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_IV(1:stop,3)),'--^k','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_Full(1:stop,1)),'-.vr','Linewidth',2);
plot(F_mean(1:stop),log(true_dev_quantile_beta_hat_Full(1:stop,3)),'-.^r','Linewidth',2);
legend('Unbiased','IV','Fuller','Location','NE');
hold off
xlabel('E[F]');
ylabel('Log Absolute Deviation')
title('Quantiles of Log Absolute Deviation, \sigma_{12}=0.95')
axis tight
